Bug 824901 - REST API: unable to reach /api/vms/<id>/nics/<id> . receive ERROR 405
REST API: unable to reach /api/vms/<id>/nics/<id> . receive ERROR 405
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ori Liel
Yaniv Kaul
network, infra
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-24 10:36 EDT by Avi Tal
Modified: 2016-04-22 00:59 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:00:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Avi Tal 2012-05-24 10:36:08 EDT
Description of problem:
Unable to reach /api/vms/<id>/nics/<id> or any related path's via GET, POST etc
receive ERROR 405

It blocks me from checking VM Hotplug nic.

reproduce:
GET http://.../api/vms/<id>/nics/<id>

ERROR 405
<html><head><title>JBoss Web/7.0.13..Final-redhat-1 - Error report</title><style><!--H1 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:22px;} H2 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:16px;} H3 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:14px;} BODY {font-family:Tahoma,Arial,sans-serif;color:black;background-color:white;} B {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;} P {font-family:Tahoma,Arial,sans-serif;background:white;color:black;font-size:12px;}A {color : black;}A.name {color : black;}HR {color : #525D76;}--></style> </head><body><h1>HTTP Status 405 - </h1><HR size="1" noshade="noshade"><p><b>type</b> Status report</p><p><b>message</b> <u></u></p><p><b>description</b> <u>The specified HTTP method is not allowed for the requested resource ().</u></p><HR size="1" noshade="noshade"><h3>JBoss Web/7.0.13..Final-redhat-1</h3></body></html>
Comment 2 Ori Liel 2012-05-29 08:02:18 EDT
fixed
Comment 3 Avi Tal 2012-06-03 07:21:32 EDT
fixed for which build?
Comment 4 Avi Tal 2012-06-17 07:06:06 EDT
Verify on SI6 - PASS
GET /api/vms/<id>/nics/<id>   200 OK

Note You need to log in before you can comment on or make changes to this bug.